Skip to content

The operator's sub-processor registry (DPA art. 8 / Annex 3)

GET
/v1/legal/sub-processors
curl --request GET \
--url https://api.vimine.network/v1/legal/sub-processors

The live registry (active, planned, and vendors that process no tenant data) with the in-force Annex 3 version it is bound to.

Registry

Media typeapplication/json
object
version

The in-force Annex 3 version the registry is bound to

string
nullable
effective_from
string format: date-time
nullable
notice_days
integer
at
string format: date-time
active
required
Array<object>
object
cod
required
string
name
required
string
entity
string
nullable
service
required
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
required
string
Allowed values: processor controller none
status
required
string
Allowed values: active planned retired
since
string format: date
nullable
until
string format: date
nullable
website
string
nullable
planned
required
Array<object>
object
cod
required
string
name
required
string
entity
string
nullable
service
required
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
required
string
Allowed values: processor controller none
status
required
string
Allowed values: active planned retired
since
string format: date
nullable
until
string format: date
nullable
website
string
nullable
other
required

Vendors that process no tenant data (transparency)

Array<object>
object
cod
required
string
name
required
string
entity
string
nullable
service
required
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
required
string
Allowed values: processor controller none
status
required
string
Allowed values: active planned retired
since
string format: date
nullable
until
string format: date
nullable
website
string
nullable
Example
{
"active": [
{
"role": "processor",
"status": "active"
}
],
"planned": [
{
"role": "processor",
"status": "active"
}
],
"other": [
{
"role": "processor",
"status": "active"
}
]
}

Invalid request

Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
code
required
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Not found

Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
code
required
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Rate limited

Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
code
required
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Internal error

Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
code
required
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}